明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

分享 高版本CAD 选择的对象超过了设置指定数目的对象时,不显示夹点--解决办法!!!
wayne_myles 2018-12-8 06:33
选择的对象超过了设置指定数目的对象时,将不显示夹点。需要RE一下, 或者将GRIPOBJLIMIT设置为0,永远显示夹点。
12 次阅读|0 个评论
分享 距离高程计算下一点坐标
13648893846 2018-10-29 22:12
;; 距离高程计算下一点坐标 ;; (LC:Pt2YZ1 pt dx h) ;; BY 老仓测绘上班记 ;;;(LC:Pt2XY1 pt dx (- h (caddr pt))) ;;;(LC:Pt2YZ1 点 距离增量 计算点标高 横向比例 纵向比例) ;;;pt点必须有Z值 (defun LC:Pt2YZ1 (PT DX H HXBL ZXBL) (mapcar '(lambda (x y) (+ x y)) pt (list (* dx (/ 1000.0 HXBL)) ))(* ...
97 次阅读|0 个评论
分享 读取纬地原始地貌数据转换成点表
13648893846 2018-10-25 23:12
;; 读取纬地原始地貌数据转换成点表 ;; (LC:Make-LWPOLYLINE (LC:read-Weft-pts lst (setq pt (getpoint)) (setq hxbl 1000.0) (setq zxbl 1000.0))) ;; BY 老仓测绘上班记 ;;;(setq txt (try-read-txt WeftFILEpath)) ;;; (if (= (car txt) "HINTCAD5.83_HDM_SHUJU") ;;; (setq txt (gxl-removeN ...
66 次阅读|0 个评论
分享 二分法根据面积画线,可用于断面图计量人员使用
13648893846 2018-10-20 21:47
;; pline,lwpline点坐标表 By 无痕 ;; (LC:WH-vxs (car (entsel))),返回三维点坐标 (defun LC:WH-vxs (e / i v lst) (setq i -1) (while (setq v (vlax-curve-getpointatparam e (setq i (1+ i)))) (setq lst (cons v lst)) ) (reverse ls ...
74 次阅读|0 个评论
分享 断面数据点表生成断面清表面积
13648893846 2018-10-14 22:12
;; 断面数据点表生成断面清表面积 ;; (LC:Clear-table-area ptlst1 ptlst2 qbhd) ;; BY 老仓测绘上班记 ;;;(setq ptlst1 (LC:WH-vxs (car (entsel"\n 请选择原始地貌线:")))) ;;;(setq ptlst2 (LC:WH-vxs (car (entsel"\n 请选择设计线:")))) ;;;(LC:Make-LWPOLYLINE '((185.938 88.6237 0.0) (201.505 75.1854 0.0) (222 ...
97 次阅读|0 个评论 热度 1
分享 startapp函数与wscript.shell exec方法
xinrstar 2018-9-30 10:46
startapp函数与wscript.shell exec方法都可以用来打开windows应用程序。 (startapp "notepad.exe" "d:\\test.txt") (vlax-invoke-method (vlax-get-or-create-object "wscript.shell") "exec" "notepad.exe d:\\test.txt") 上面的代码都是用记事本新建或打开文件。 编译成VLX时如果勾选了独立名 ...
89 次阅读|0 个评论 热度 2
分享 根据与前点坐标增量计算下一点坐标
13648893846 2018-9-27 13:22
;;;(setq zxbl (getreal"\n 请输入纵向比例1000:")) ;;;(if (null zxbl) (setq zxbl 1000.0)) ;;;(setq hxbl (getreal"\n 请输入横向比例1000:")) ;;;(if (null hxbl) (setq hxbl 1000.0)) ;; 根据与前点坐标增量计算下一点坐标 ;; (基准点 距离增量 高差增量 横向比例 纵向比例)(基准点 Y增量 X ...
98 次阅读|0 个评论
分享 断面线数据点表生成断面挖填点表
13648893846 2018-9-12 22:42
;; 断面数据点表生成断面填挖点表 ;; (LC:Section-line-ptlst-sort-lst ptlst1 ptlst2) ;; BY 老仓测绘上班记 ;;;(setq ptlst1 (LC:WH-vxs (car (entsel"\n 请选择原始地貌线:")))) ;;;(setq ptlst2 (LC:WH-vxs (car (entsel"\n 请选择设计j线:")))) ;;;(PTLST1 PTLST2 / INTPTS ORIGINAL-INT DESIGN-INT I II ORIGINAL-I ...
299 次阅读|0 个评论
分享 根据偏距高程计算横断图端点坐标(用于绘制断面线)
13648893846 2018-9-2 16:35
;; 根据偏距高程计算横断图端点坐标(用于绘制断面线) ;; (LC:Offset-Elevation-pt jzdpt sjgc2 dmpj1 dmgc1) ;; BY 老仓测绘上班记 ;;;(setq jzdpt (getpoint "\n 请选择基准点:") ;;; sjgc2 (getreal "请输入基准点设计高程") ;;; dmpj1 (getdist "请输入偏距 : ...
389 次阅读|0 个评论

本页有 1 篇日志因作者的隐私设置或未通过审核而隐藏

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-12-11 03:21 , Processed in 0.110554 second(s), 12 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部